/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

/** @file depot_func.h Functions related to depots. */





#ifndef DEPOT_FUNC_H
#define DEPOT_FUNC_H





#include "../vehicle/vehicle_type.h"
#include "../slope_func.h"





void  ShowDepotWindow                (TileIndex tile, VehicleType type);
void  DeleteDepotHighlightOfVehicle  (const Vehicle *v);
bool  CanBuildDepotByTileh           (DiagDirection direction, Slope tileh);





#endif /* DEPOT_FUNC_H */
