/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

/** @file loadunload.cpp Handling unloading and loading of cargo. */





#ifndef LOADUNLOAD_FUNC_H
#define LOADUNLOAD_FUNC_H





#include "../stdafx.h"

#include "../economy/economy_base.h"
#include "../industry/industry_type.h"
#include "../facilities/station_base.h"
#include "../vehicle/vehicle_base.h"





void BeginLoading              (Vehicle *vehicle);
void LoadUnloadStation         (Station *station);
uint DeliverGoodsToIndustry    (const Station *station, CargoID cargo_type, uint num_pieces, IndustryID source, CompanyID company);
void CancelReservation         (Vehicle *vehicle, StationID next_id, Station *station);





#endif /* LOADUNLOAD_FUNC_H */
