/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

/** @file order_func.h Functions related to orders. */



#ifndef ORDER_FUNC_GLOBAL_H
#define ORDER_FUNC_GLOBAL_H



#include "order_type.h"

#include "../vehicle/vehicle_type.h"



bool             ProcessOrders               (Vehicle *v);
void             CreateOrderList             (OrderList *order_list, Order *chain, Vehicle *vehicle);
void             InitializeOrderList         (OrderList *order_list, Order *chain, Vehicle *vehicle);
void             InsertOrder                 (Vehicle *v, Order *new_o, VehicleOrderID sel_ord);
Order           *GetOrderAt                  (const OrderList *order_list, int index);
const Order     *GetNextOrder                (const OrderList *order_list, const Order *curr);
bool             ShouldStopAtStation         (Vehicle *vehicle);
bool             CanLeaveWithCargo           (const Order *order, bool has_cargo);



#endif /* ORDER_FUNC_GLOBAL_H */
