/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

/** @file order_base.h Base class for orders. */





#ifndef ORDER_LOGIC_H
#define ORDER_LOGIC_H





#include "order_type.h"

#include "vehicle/vehicle_type.h"





bool            OrderGoesToStation          (const Vehicle *v, const Order *o);
VehicleOrderID  ProcessConditionalOrder     (const Order *order, const Vehicle *v);
bool            OrderConditionCompare       (OrderConditionComparator occ, int variable, int value);
void            RemoveOrderFromAllVehicles  (OrderType type, DestinationID destination, bool hangar = false);





#endif /* ORDER_LOGIC_H */
