/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

/** @file order_func.h Functions related to orders. */



#ifndef VEHICLE_LOGIC_H
#define VEHICLE_LOGIC_H



#include "orders/order_type.h"

#include "vehicle_type.h"





bool    UpdateVehicleDestination    (Vehicle *v, const Order *order, int conditional_depth = 0,
									 bool pbs_look_ahead = false);
uint16  GetServiceIntervalClamped   (uint interval, bool ispercent);
bool    CheckAircraftOrderDistance  (const Aircraft *v_new, const Vehicle *v_order, const Order *first);





#endif /* VEHICLE_LOGIC_H */
