/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

/** @file vehicle_loop.h Functions related to vehicles. */





#ifndef VEHICLE_LOOP_H
#define VEHICLE_LOOP_H





#include "vehicle_type.h"





int   HandleVehicle             (Vehicle *vehicle);
void  VehicleAtNewTile          (Vehicle *vehicle);
void  SetVehicleWaitingTime     (Vehicle *vehicle);
bool  HandleVehicleWaiting      (Vehicle *vehicle);
bool  HandleVehicleCrash        (Vehicle *vehicle);
void  HandleVehicleLeaving      (Vehicle *vehicle);
void  VehicleToNextDestination  (Vehicle *vehicle);




#endif /* VEHICLE_LOOP_H */
